Subject: Re: bug#22692: 25.0.91; xref-find-definitions fails to prompt

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Feb 2016 05:44:06 +0200

> From: Mike Kupfer <[email-masked]>
> Date: Mon, 15 Feb 2016 17:02:03 -0800
> 
> More broadly, I think the default for xref-prompt-for-identifier is a
> usability regression.  When I'm examining code, point is rarely at the
> token I want to find the definition for.

It's exactly the opposite here: point is almost always on the token.

> So with the default behavior,
> I either have to move my hand to the mouse to set point and then move it
> back to the keyboard for the "." in M-., or I have to type in a bunch of
> navigation keystrokes, or I have to add a C-u prefix.  Either way, the
> default behavior is getting in my way, not helping.

Perhaps we could have a defcustom for this use case, but making the
behavior you want the default sounds wrong to me.

Thanks.